For AI agents: an index of this documentation is at https://developer.rippling.com/llms.txt. Public pages have a Markdown version at the same URL with .md added.

Skip to main content
API

Create a new business-structure-path

POST
/business-structure-paths/

Use with AI:Rippling AI ChatGPT Claude Cursor

Create a new business-structure-path

POST
/business-structure-paths/

Creates one or more business structure paths and returns the new ID and details.

Helpful resources

Required Scopes

  • business-structure-paths.read-write

Request

Body
    job_code_id stringrequired

    The Job Code to place at this Business Structure path.

    parent_id string

    Id of the parent BusinessStructurePath. None for root path.

Responses​

Successful response
Schema
    id stringrequired

    Identifier field

    created_at stringrequired

    Record creation date

    updated_at stringrequired

    Record update date

    name string

    Name of the path (e.g. 'SF Office > Coffee > Barista').

    parent_id string

    Id of the parent BusinessStructurePath. None for root path.

    parent object
    The parent path.
      job_codes_id string[]

      Ordered list of Job code IDs from top to bottom.

      job_codes object[]
      Ordered list of full JobCode objects for each job in the path, top to bottom. Populate via ?expand=job_codes. Requires both business-structure-paths.read and job-codes.read scopes.
        Array [
        id stringrequired

        Identifier field

        created_at stringrequired

        Record creation date

        updated_at stringrequired

        Record update date

        name stringrequired

        The name of the job dimension.

        job_dimension_id stringrequired

        The ID of the job dimension this job code belongs to.

        job_dimension object
        The job dimension this job code belongs to.
          id stringrequired

          Identifier field

          created_at stringrequired

          Record creation date

          updated_at stringrequired

          Record update date

          name stringrequired

          The name of the job dimension

          external_id string

          The unique identifier of the job dimension in a third party system

          includes_custom_location boolean

          Whether the job dimension includes codes related to a custom location. Only one dimension can have this set to true.

          roster_type string

          The roster type of the dimension. PER_DIMENSION means that there is a group on the dimension level and employees within that group have access to all job codes in the dimension. PER_JOB_CODE means that each job code has its own group.

          Possible values: [PER_DIMENSION,PER_JOB_CODE]
          group_id string

          The ID of the dimension roster group.

          org_attribute_associations object[]

          Organizational attributes associated with the job dimension. Only 'PAY_RATE' can be set or modified using POST or PATCH requests.

        external_id string

        The unique identifier of the job code in an outside system.

        group_id string

        The ID of the job roster group.

        custom_location object
        The custom location of the job code. This location will be used for tax calculation purposes if using US Payroll when an employee is working at this job code.
          address objectrequired
          The address of the custom location.
            type string

            The classification of the address.

            Possible values: [HOME,WORK,OTHER]
            formatted string

            The formatted mailing address.

            street_address string

            The full street address component, which may include house number, street name, P.O. box, and multi-line extended street address information, pursuant to SCIM RFC 7643 4.1.2..

            locality string

            The city or locality component.

            region string

            The state or region component, pursuant to SCIM RFC 7643 4.1.2.

            postal_code string

            The zip code or postal code component, pursuant to SCIM RFC 7643 4.1.2.

            country string

            The country component, pursuant to SCIM RFC 7643 4.1.2.

            Possible values: [AF,AX,AL,DZ,AS,AD,AO,AI,AQ,AG,AR,AM,AW,AU,AT,AZ,BS,BH,BD,BB,BY,BE,BZ,BJ,BM,BT,BO,BQ,BA,BW,BV,BR,IO,BN,BG,BF,BI,CV,KH,CM,CA,KY,CF,TD,CL,CN,CX,CC,CO,KM,CG,CD,CK,CR,CI,HR,CW,CY,CZ,DK,DJ,DM,DO,EC,EG,SV,GQ,ER,EE,SZ,ET,FK,FO,FJ,FI,FR,GF,PF,TF,GA,GM,GE,DE,GH,GI,GR,GL,GD,GP,GU,GT,GG,GN,GW,GY,HT,HM,VA,HN,HK,HU,IS,IN,ID,IQ,IR,IE,IM,IL,IT,JM,JP,JE,JO,KZ,KE,KI,KR,XK,KW,KG,LA,LV,LB,LS,LR,LY,LI,LT,LU,MO,MG,MW,MY,MV,ML,MT,MH,MQ,MR,MU,YT,MX,FM,MD,MC,MN,ME,MS,MA,MZ,MM,NA,NR,NP,NL,AN,NC,NZ,NI,NE,NG,NU,NF,MK,MP,NO,OM,PK,PW,PS,PA,PG,PY,PE,PH,PN,PL,PT,PR,QA,RO,RU,RW,RE,BL,SH,KN,LC,MF,PM,VC,WS,SM,ST,SA,SN,RS,SC,SL,SG,SX,SY,SK,SI,SB,SO,ZA,GS,SS,ES,LK,SD,SR,SJ,SE,CH,TW,TJ,TZ,TH,TL,TG,TK,TO,TT,TN,TR,TM,TC,TV,UG,UA,AE,GB,US,UM,UY,UZ,VU,VE,VN,VG,VI,WF,EH,YE,ZM,ZW]
        work_location_id string

        The work location associated with the job code.

        work_location object
        The work location associated with the job code.
          id stringrequired

          Identifier field

          created_at stringrequired

          Record creation date

          updated_at stringrequired

          Record update date

          name stringrequired

          The name of the work location.

          address objectrequired
          The address for the work location.
            type string

            The classification of the address.

            Possible values: [HOME,WORK,OTHER]
            formatted string

            The formatted mailing address.

            street_address string

            The full street address component, which may include house number, street name, P.O. box, and multi-line extended street address information, pursuant to SCIM RFC 7643 4.1.2..

            locality string

            The city or locality component.

            region string

            The state or region component, pursuant to SCIM RFC 7643 4.1.2.

            postal_code string

            The zip code or postal code component, pursuant to SCIM RFC 7643 4.1.2.

            country string

            The country component, pursuant to SCIM RFC 7643 4.1.2.

            Possible values: [AF,AX,AL,DZ,AS,AD,AO,AI,AQ,AG,AR,AM,AW,AU,AT,AZ,BS,BH,BD,BB,BY,BE,BZ,BJ,BM,BT,BO,BQ,BA,BW,BV,BR,IO,BN,BG,BF,BI,CV,KH,CM,CA,KY,CF,TD,CL,CN,CX,CC,CO,KM,CG,CD,CK,CR,CI,HR,CW,CY,CZ,DK,DJ,DM,DO,EC,EG,SV,GQ,ER,EE,SZ,ET,FK,FO,FJ,FI,FR,GF,PF,TF,GA,GM,GE,DE,GH,GI,GR,GL,GD,GP,GU,GT,GG,GN,GW,GY,HT,HM,VA,HN,HK,HU,IS,IN,ID,IQ,IR,IE,IM,IL,IT,JM,JP,JE,JO,KZ,KE,KI,KR,XK,KW,KG,LA,LV,LB,LS,LR,LY,LI,LT,LU,MO,MG,MW,MY,MV,ML,MT,MH,MQ,MR,MU,YT,MX,FM,MD,MC,MN,ME,MS,MA,MZ,MM,NA,NR,NP,NL,AN,NC,NZ,NI,NE,NG,NU,NF,MK,MP,NO,OM,PK,PW,PS,PA,PG,PY,PE,PH,PN,PL,PT,PR,QA,RO,RU,RW,RE,BL,SH,KN,LC,MF,PM,VC,WS,SM,ST,SA,SN,RS,SC,SL,SG,SX,SY,SK,SI,SB,SO,ZA,GS,SS,ES,LK,SD,SR,SJ,SE,CH,TW,TJ,TZ,TH,TL,TG,TK,TO,TT,TN,TR,TM,TC,TV,UG,UA,AE,GB,US,UM,UY,UZ,VU,VE,VN,VG,VI,WF,EH,YE,ZM,ZW]
        department_id string

        The department associated with the job code.

        department object
        The department associated with the job code.
          id stringrequired

          Identifier field

          created_at stringrequired

          Record creation date

          updated_at stringrequired

          Record update date

          name stringrequired

          The name of the department.

          parent_id string

          The parent department.

          parent object
          The parent department.
            reference_code string

            Reference code of the department.

            department_hierarchy_id string[]

            The identifier of departments in the department hierarchy ordered from parent department to child department.

            department_hierarchy object[]

            List of departments in the department hierarchy. Refer department_hierarchy_ids for department hierarchy order.

            Expandable field

          pay_rate number

          The pay rate for this job code. Only applicable if the associated job dimension includes the 'PAY_RATE' organizational attribute.

          pay_rate_exceptions_id string[]

          Pay rate overrides id for the job based on exception dimension values.

          pay_rate_exceptions object[]
          Pay rate overrides for the job based on exception dimension values.
            Array [
            id stringrequired

            Identifier field

            created_at stringrequired

            Record creation date

            updated_at stringrequired

            Record update date

            job_code_id stringrequired

            Identifier of Job for which exception is configured.

            job_code object
            Job for which exception is configured.
              exception_dimension_type string

              Type of dimension on which exception is configured

              Possible values: [JOB_CODE,LEVEL,TEAM,DEPARTMENT,WORK_LOCATION]
              exception_dimension_id stringrequired

              Identifier of dimension object on which exception is configured. This objects details can be queried from exception_dimension_type's resource

              pay_rate numberrequired

              The pay rate for exception on job_code_id and exception_dimension_id combination

              ]
            is_archived boolean

            Whether this job code is archived. Set to true via PATCH to archive. Archiving is irreversible via this API.

            ]
        Loading...